libzypp 17.37.10

zypp::repo::SrcPackageProvider Class Reference

`#include <zypp/repo/SrcPackageProvider.h>`

Inheritance diagram for zypp::repo::SrcPackageProvider:

## Public Member Functions
| SrcPackageProvider (repo::RepoMediaAccess &access_r)
| Ctor.
| ~SrcPackageProvider ()
| Dtor.
ManagedFile | provideSrcPackage (const SrcPackage_constPtr &srcPackage_r) const
| Provide SrcPackage in a local file.

## Private Attributes
RepoMediaAccess & | _access

## Detailed Description

Definition at line 38 of file SrcPackageProvider.h.

## Constructor & Destructor Documentation

## ◆ SrcPackageProvider()

zypp::repo::SrcPackageProvider::SrcPackageProvider | ( | repo::RepoMediaAccess & | access_r | ) |

Ctor.

Definition at line 29 of file SrcPackageProvider.cc.

## ◆ ~SrcPackageProvider()

zypp::repo::SrcPackageProvider::~SrcPackageProvider | ( |  | ) |

Dtor.

Definition at line 33 of file SrcPackageProvider.cc.

## Member Function Documentation

## ◆ provideSrcPackage()

ManagedFile zypp::repo::SrcPackageProvider::provideSrcPackage | ( | const SrcPackage_constPtr & | srcPackage_r | ) | const

Provide SrcPackage in a local file.

Definition at line 36 of file SrcPackageProvider.cc.

## Member Data Documentation

## ◆ _access

RepoMediaAccess& zypp::repo::SrcPackageProvider::_access
| private

Definition at line 51 of file SrcPackageProvider.h.

The documentation for this class was generated from the following files:

- zypp/repo/SrcPackageProvider.h
- zypp/repo/SrcPackageProvider.cc